# LOAN AMOUNT PREDICTION  

A machine learning program that estimates the amount of loan to be issued as seen in the dataset given. This program uses a **simple hist gradient boosting regressor algorithm** to estimate the likely loan user should be eligible for.  

## Data set and its description  

| Data              | Description                            |
|-------------------|----------------------------------------|
| Loan_ID           | Unique loan request identifier         |
| Gender            | sex of the user                        |
| Married           | Marital status                         |
| Dependents        | Number of dependents                   |
| Education         | if the candidate is graduate or not    |
| Self_Employed     | if the user is working for himself     |
| ApplicantIncome   | total income of the candidate          |
| CoapplicantIncome | total income of the borrower's partner |
| LoanAmount        | Amount requested                       |
| Loan_Amount_Term  | in months                              |
| Credit_History    | 1(okay or eligible), 0(Not eligible)   |
| Property_Area     | nature of where the borrower live      |
| Loan_Status       | if loan was granted or not             |

## Dependencies and packages  

1. python = "^3.9"
2. numpy = "^1.26.4"
3. pandas = "^2.2.2"
4. pydantic = "^2.7.3"
5. scikit-learn = "^1.5.0"
6. strictyaml = "^1.7.3"
7. feature-engine = "^1.8.0"
8. joblib = "^1.4.2"
9. mlflow = "^2.13.2"
10. ipykernel = "^6.29.4"
11. hyperopt = "^0.2.7"
12. scipy = "^1.13.1"
13. loguru = "^0.7.2"

## Source code link  

Source code link:
[Github link](https://github.com/chibuikeeugene/loan-amount-prediction.git)

## Snapshots

![API Documentation 1](<Screenshot 2024-06-22 at 4.15.49 am.png>)
![API Documentation 2](<Screenshot 2024-06-22 at 4.16.43 am.png>)
![API Documentation 3](<Screenshot 2024-06-22 at 4.16.54 am.png>)
